/* Universal Selector */
* {
  font-family: "Verdana", sans-serif;
  font-size: 20px;
}

/* Type Selectors */
/* tag-name */
h1 {
  font-size: 40px;
}

/* ID Selector */
/* #id-name */
#uppercase {
  text-transform: uppercase;
}

/* Class Selector */
/* .class-name */
.learned {
  background-color: rgb(137, 187, 137);
}

/* Attribute Selectors */
/* tagname[attribute] anything that has an attribute will change */
li[required] {
  border-width: 2px;
  border-style: solid;
  border-color: lightblue;
}

/* Adjacent Sibling Selector - uses plus sign */
/* selector + selector */
#to-be-learned + ul {
  list-style-type: none;
}

/* Descendant Selector - uses white spaces */
/* selector selector */
section img {
  height: 200px;
  width: 200px;
  border-radius: 150px;
}

/* Generic Sibling Selector - uses tilde ~ */
/* selector ~ selector */
h4 ~ p {
  text-align: center;
}

/* Child Selector ~ uses greater than symbol */
/* selector > selector */
body > section > ul > li {
  letter-spacing: 10px;
}

/* external styling to p3 */
.external {
  color: yellow;
}
